# angular.scope.$service

Work in Progress This page is currently being revised. It might be incomplete or contain inaccuracies.

## Description

Provides access to angular's dependency injector and `registered services`. In general the use of this api is discouraged, except for tests and components that currently don't support dependency injection (widgets, filters, etc).

## Usage

    angular.scope.$service(serviceId);

### Parameters

- `serviceId – {string} –`

  String ID of the service to return.

### Returns

`{*}` –

Value, object or function returned by the service factory function if any.